// Copyright (c) 2019 Ultimaker B.V.
// Uranium is released under the terms of the LGPLv3 or higher.

import QtQuick 2.2
import QtQuick.Controls 1.2

import UM 1.1 as UM

import "qml"

Item {
  width: visibleChildren[0] ? visibleChildren[0].width : 0
  height: visibleChildren[0] ? visibleChildren[0].height : 0
  Welcome {
    id: welcome
    visible: UM.ActiveTool.properties.getValue("ActiveView") == "Welcome"
  }
  PlaneSelection {
    id: planeSelection
    visible: UM.ActiveTool.properties.getValue("ActiveView") == "PlaneSelection"
  }
  CreateConnectors {
    id: createConnectors
    visible: UM.ActiveTool.properties.getValue("ActiveView") == "CreateConnectors"
  }
  Done {
    id: done
    visible: UM.ActiveTool.properties.getValue("ActiveView") == "Done"
  }


}
