import QtQuick 2.2
import QtQuick.Controls 1.2

import Cura 1.0 as Cura
import UM 1.1 as UM

Item {

  property alias labelText: progressLabel.text

  width: childrenRect.width
  height: childrenRect.height

  Column {
    spacing: UM.Theme.getSize("default_margin").height;
    Text {
        id: progressLabel
        /*anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: UM.Theme.getSize("default_margin").height;*/
        wrapMode: Text.WordWrap
        height: 30
        text: "Loading..."
        font: UM.Theme.getFont("medium_bold")
        color: UM.Theme.getColor("text")
    }


    ProgressBar {/*
      anchors.top: creatingLabel1.bottom
      anchors.left: parent.left
      anchors.topMargin: UM.Theme.getSize("default_margin").height;*/
      indeterminate: true
    }
  }




}
