// Copyright (c) 2019 Ultimaker B.V.
// Uranium is released under the terms of the LGPLv3 or higher.

import QtQuick 2.2
import QtQuick.Controls 1.2

import UM 1.1 as UM

Item
{
    width: childrenRect.width
    height: childrenRect.height



    UM.I18nCatalog { id: catalog; name: "uranium"}
    Column
    {
        id: items
        anchors.top: parent.top;
        anchors.left: parent.left;
        spacing: UM.Theme.getSize("default_margin").height;
        Text {
            id: titleLabel
            wrapMode: Text.WordWrap
            text: "Fertig"
            font.pointSize: 15
            font.bold: true
        }
    }
}
